<?php

declare(strict_types=1);

namespace Drupal\headless_cms_notify\NotifyMessage;

/**
 * Headless notification message for cache rebuilds.
 */
class HeadlessNotifyCacheRebuildMessage extends HeadlessNotifyMessage {

  public function __construct() {
    parent::__construct("cache_rebuild");
  }

  /**
   * {@inheritdoc}
   */
  public static function getMessageTypeId(): string {
    return "cache_rebuild";
  }

  /**
   * {@inheritdoc}
   */
  public static function getMessageTypeLabel(): string {
    return "Cache Rebuild";
  }

}
