<?php

declare(strict_types=1);

namespace Drupal\headless_cms_notify_test\NotifyMessage;

use Drupal\headless_cms_notify\NotifyMessage\HeadlessNotifyMessage;

/**
 * Headless notification message for entity operations.
 */
class HeadlessNotifyTestMessage extends HeadlessNotifyMessage {

  public function __construct() {
    parent::__construct(
      "headless_notify_test",
      "headless_notify_test",
      []
    );
  }

  /**
   * {@inheritdoc}
   */
  public static function getMessageTypeId(): string {
    return "headless_notify_test";
  }

  /**
   * {@inheritdoc}
   */
  public static function getMessageTypeLabel(): string {
    return "Headless Notify Test";
  }

}
