# Headless CMS - Notify NATS

## Contents of this file

- [Introduction](#introduction)
- [Requirements](#requirements)
- [Installation](#installation)
- [Configuration](#configuration)

## Introduction

This submodule adds a transport to the Headless CMS Notify module that publishes
notify messages to a NATS server.

### Key Features

- Publish notify messages to a NATS server
- Configurable NATS client
- Configurable NATS subject prefix for published messages

## Requirements

This module requires:

- Drupal 10.3 or 11
- Headless CMS Notify (parent module)
- [NATS](https://www.drupal.org/project/nats)
- NATS Server (running and accessible from Drupal)

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

Configuration is done when adding / editing a headless notify transport at
`/admin/config/headless-cms/notify/transports`.
