# Headless CMS - Notify Webhook

## Contents of this file

- [Introduction](#introduction)
- [Requirements](#requirements)
- [Installation](#installation)
- [Configuration](#configuration)

## Introduction

This submodule adds a transport to the Headless CMS Notify module that sends
notify messages via webhook requests.

### Key Features

- Send notify messages via webhook requests
- Configurable destination URL
- Optional configuration for using a queue

## Requirements

This module requires:

- Drupal 10.3 or 11
- Headless CMS Notify (parent module)

## Installation

Install as you would normally install a contributed Drupal module. For further
information, see
[Installing Drupal Modules](https://www.drupal.org/docs/extending-drupal/installing-drupal-modules).

## Configuration

Configuration is done when adding / editing a headless notify transport at
`/admin/config/headless-cms/notify/transports`.
