<?php

declare(strict_types=1);

namespace Drupal\headless_cms_notify\Attribute;

use Drupal\Component\Plugin\Attribute\Plugin;
use Drupal\Core\StringTranslation\TranslatableMarkup;

/**
 * Defines a HeadlessNotifyTransport plugin attribute.
 */
#[\Attribute(\Attribute::TARGET_CLASS)]
class HeadlessNotifyTransport extends Plugin {

  public function __construct(
    public readonly string $id,
    public readonly TranslatableMarkup $label,
  ) {}

}
