<?php

declare(strict_types=1);

namespace Drupal\headless_cms_notify;

use Drupal\Core\Plugin\DefaultSingleLazyPluginCollection;

/**
 * Provides a container for lazily loading HeadlessNotifyTransport plugins.
 */
class HeadlessNotifyTransportPluginCollection extends DefaultSingleLazyPluginCollection {

  /**
   * {@inheritdoc}
   */
  public function addInstanceId($id, $configuration = NULL) {
    $this->instanceId = $id;
    parent::addInstanceId($id, $configuration);

    if ($configuration !== NULL) {
      $this->setConfiguration($configuration);
    }
  }

}
