<?php

declare(strict_types=1);

namespace Drupal\headless_cms_notify_nats\Event;

use Drupal\headless_cms_notify\NotifyMessage\HeadlessNotifyMessageInterface;
use Symfony\Contracts\EventDispatcher\Event;

/**
 * Event before sending a message via NATS.
 */
class HeadlessNotifyNatsBeforeSendEvent extends Event {

  public const EVENT_NAME = 'headless_cms_notify_nats.before_send';

  public function __construct(
    public string $topic,
    public readonly HeadlessNotifyMessageInterface $message,
  ) {}

}
