<?php

declare(strict_types=1);

namespace Drupal\headless_cms_preview\PreviewToken;

/**
 * DTO for a preview token.
 */
class PreviewToken {

  public function __construct(
    public readonly string $ownerUid,
    public readonly string $entityUuid,
    public readonly ?string $entityId,
    public readonly string $entityTypeId,
    public readonly string $entityTypeBundle,
  ) {}

}
