<?php

declare(strict_types=1);

namespace Drupal\headless_cms_preview\PreviewToken;

/**
 * Defines a preview token manager.
 */
interface PreviewTokenManagerInterface {

  /**
   * Encodes token.
   */
  public function encode(string $ownerUid, string $entityUuid, string $entityTypeId, string $entityBundleId): string;

  /**
   * Decodes token.
   */
  public function decode(string $tokenValue): ?PreviewToken;

}
