<?php

declare(strict_types=1);

namespace Drupal\headless_cms_preview\Routing;

use Drupal\Core\Routing\RouteSubscriberBase;
use Symfony\Component\Routing\RouteCollection;

/**
 * Alters routes.
 */
class RouteSubscriber extends RouteSubscriberBase {

  /**
   * {@inheritdoc}
   */
  public function alterRoutes(RouteCollection $collection) {
    $collection->get('entity.node.version_history')?->setDefault('_controller', '\Drupal\headless_cms_preview\Controller\HeadlessCmsPreviewNodeController::revisionOverview');
  }

}
